Skip to main content
PATCH
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

id
string
required

License key instance ID

Body

application/json
name
string
required

Response

License key instance updated

business_id
string
required
created_at
string<date-time>
required
Example:

"2024-01-01T00:00:00.000Z"

id
string
required
Example:

"lki_123"

license_key_id
string
required
Example:

"lic_123"

name
string
required
Example:

"Production Server 1"

Last modified on March 25, 2026